<?php
if(count(get_included_files()) ==1) exit("Direct access not permitted.");
if(!$statuslogin) exit;
$mod = basename(__FILE__, '.php');
$page->tbJs($mod);
if(isset($_GET['id'])){
	$id=strip_tags(stripslashes($_GET['id']));
	$page->setJudul("Input Data Kategori Status Baru");
	$nama="";
	$iddata=1;
	$qr="select max(id) as maxid from tb_kategori_status where id>0";
	$rsj=$db->loadAssoc($qr);
	if(isset($rsj['maxid'])) $iddata=$rsj['maxid']+1;
	
	if($id>0){
		$page->setJudul("Edit Data Kategori Status");
		$query="SELECT * FROM tb_kategori_status 
			WHERE id=?";
		$rs=$db->loadAssoc($query,array($id));
		if(isset($rs['id'])){
			$nama=$rs['nama'];
			$iddata=$rs['id'];
		}
	}
	$datahasil=array("id"=>$id);
	$page->addLoad("masterkategoristatus.edit(".json_encode($datahasil,true).")");
	
	?>
	<div class="box_main_konten">
		<h3>DATA KATEGORI STATUS</h3>
		<div class="group_form">
			<title>ID</title>
			<div class="col10">
				<input id="iddata" value="<?php echo $iddata;?>" />
			</div>
		</div>
		<div class="group_form">
			<title>Nama Kategori</title>
			<div class="col10">
				<input id="nama" value="<?php echo $nama;?>" />
			</div>
		</div>
		<div style="clear: both;"></div>
	</div>
	<div class="box_button_bawah">
		<div id="loader_masterkategoristatus" class="error"></div>
		<span class="btmerah btncancel" onclick="masterkategoristatus.kembali()">Kembali</span>&nbsp;&nbsp;<span onclick="masterkategoristatus.simpan()" class="bthijau btnsave">Simpan</span>
	</div>
	<?php
}else{
	$page->addLoad("masterkategoristatus.load()");
	$page->setJudul("Data Master Kategori Status");
	?>
	<div class="box_button_atas">
		Jumlah baris: <select id="jumlah_hal" class="slkecil" onchange="masterkategoristatus.loade()">
			<option value="30">30</option>
			<option value="50">50</option>
			<option value="100">100</option>
		</select> &nbsp;
		Hal: <select id="hal_ke" class="slkecil" onchange="masterkategoristatus.load()"><option value="1">1</option></select>
		&nbsp;<input placeholder="Default: Kategori Status" onkeypress="masterkategoristatus.enter(event)" id="cari" class="in_cari" />
		&nbsp;&nbsp;<span id="btcari" class="btnone btncari" onclick="masterkategoristatus.loade()">Cari</span>
		&nbsp;&nbsp;<span class="btnone btncanggih" onclick="masterkategoristatus.caricanggih()">Cari Detail</span>
	</div>
	<div id="grid_masterkategoristatus"></div>
	<div id="loader_datamasterkategoristatus" class="error"></div>
	<div class="box_button_bawah">
		<span onclick="masterkategoristatus.buat(0)" class="bthijau btninput">Buat Data Kategori Status Baru</span>
	</div>
	<div id="btedit" style="display:none;">
		<span class="icon_del" onclick="masterkategoristatus.hapus(#{id})"></span>
		<span class="icon_edit" onclick="masterkategoristatus.buat(#{id})"></span>
	</div>
	<span id="btstatus" class="#(#{status}==1)?'mini_ok':'mini_dis'#" style="display:none;" onclick="masterkategoristatus.setstatus(#{id},##{jumlah_tabel},##{baris_tabel},this)"></span>
	<?php
}
?>
